Bug 90441 - UI: Crash on exit after AutoText Display remainder of name as suggestion while typing
Summary: UI: Crash on exit after AutoText Display remainder of name as suggestion whi...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: x86-64 (AMD64) All
: high major
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:5.0.0 target:4.4.3
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2015-04-03 18:53 UTC by Gordo
Modified: 2015-12-17 08:51 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (9.27 KB, text/plain)
2015-04-03 18:53 UTC, Gordo
Details
bt with debug symbols (master sources) (5.95 KB, text/plain)
2015-04-03 21:08 UTC, Julien Nabet
Details
bt from transactionmanager.cxx (10.38 KB, text/plain)
2015-04-03 21:09 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-04-03 18:53:47 UTC
Created attachment 114590 [details]
backtrace

1. New Text Document.
2. Edit → AutoText.
3. Check Display remainder of name as suggestion while typing.
4. Close AutoText Dialogue.
5. Exit LO.
Result:
Crash.

The symbol sources might have been down when I ran the backtrace.

Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Comment 1 A (Andy) 2015-04-03 19:53:11 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 2 Julien Nabet 2015-04-03 21:08:50 UTC
Created attachment 114596 [details]
bt with debug symbols (master sources)

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2015-04-03 21:09:15 UTC
Created attachment 114597 [details]
bt from transactionmanager.cxx

I also noticed this console log:
warn:fwk:7980:1:framework/source/fwi/threadhelp/transactionmanager.cxx:265: TransactionManager...: Owner instance stand in close method. Call was rejected!

So I attached bt from this point.
Comment 4 Matthew Francis 2015-04-04 08:28:17 UTC
Bibisect result from 4.5 dbgutil:

2014-11-22: source-hash-c2d11710716f3ec5696f3402951be0d7539fe376

In that range, the below commit stands out.
Adding Cc: to mstahl@redhat.com; Could you possibly take a look at this? Thanks


commit d47b674951aedd03815a3f27591b1791f7dfb52d
Author: Michael Stahl <mstahl@redhat.com>
Date:   Fri Nov 21 22:38:02 2014 +0100

    fdo#86494: sw: fix crash on exit from SwAutoCorrect
    
    5bff4b016c4b44f4123e0e6a4fd4c0c4dc0cfa2d was not enough to fix it,
    so move it to SwDLL so it gets deleted earlier, before the global
    pool items.
    
    (regression from 4404b718bdb547cb9b7b17c73a53574724cdeeb7)
    
    Change-Id: I4f88047852ea71f07ffa1f272ea66743f9797327
Comment 5 Michael Stahl (CIB) 2015-04-07 11:29:47 UTC
fixed on master
Comment 6 Commit Notification 2015-04-07 11:30:11 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37674e1f2dde65848cdad3b630970de8eca6b44e

tdf#90441: sw: *another* crash on shutdown after changing SvxAutoCorrCfg

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-04-09 08:16:08 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=94c71c5cc9d94568b2b123e6c26104c3c07fcc52&h=libreoffice-4-4

tdf#90441: sw: *another* crash on shutdown after changing SvxAutoCorrCfg

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 08:51:45 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]